import{_ as e,c as t,o,a4 as a}from"./chunks/framework.C3o_UkTa.js";const m=JSON.parse('{"title":"Development Guide","description":"","frontmatter":{"title":"Development Guide","order":0},"headers":[],"relativePath":"en/dev/guide.md","filePath":"en/dev/guide.md","lastUpdated":1725107025000}'),i={name:"en/dev/guide.md"},n=a('<h1 id="development-guide" tabindex="-1">Development Guide <a class="header-anchor" href="#development-guide" aria-label="Permalink to &quot;Development Guide&quot;">​</a></h1><h2 id="how-to-develop" tabindex="-1">How to Develop <a class="header-anchor" href="#how-to-develop" aria-label="Permalink to &quot;How to Develop&quot;">​</a></h2><p>Please read the <a href="./plugin.html">Plugin Development</a> and <a href="./api/">API Reference</a> documents if you are developing a plugin.</p><p>If you need to submit code to the Liteyuki repository, please read the following:</p><ol><li>First <a href="https://github.com/LiteyukiStudio/LiteyukiBot/fork" target="_blank" rel="noreferrer">fork</a> a copy of the Liteyuki repository to your personal/organization account.</li><li>Develop in your repository.</li><li>Create a new branch in your repository and submit your code to this branch.</li><li>Create a Pull Request in your repository to merge your branch into the <code>main</code> branch of the Liteyuki repository.</li></ol><ul><li>Participation in development assumes that you are already familiar with the basic usage of the Python language and the Liteyuki framework.</li><li>If you are developing documentation, please ensure that you are familiar with Markdown syntax and basic front-end knowledge.</li><li>Contact the repository maintainer in case of conflicts.</li></ul><h3 id="suggestions" tabindex="-1">Suggestions <a class="header-anchor" href="#suggestions" aria-label="Permalink to &quot;Suggestions&quot;">​</a></h3><ul><li>During development, you can use tools such as <code>mypy</code>, <code>flake8</code>, and <code>black</code> for code checking and formatting.</li><li>Enable developer mode by setting <code>dev_mode: true</code> in <code>config.yml</code> to see more debugging information in the console.</li></ul><h2 id="standardization" tabindex="-1">Standardization <a class="header-anchor" href="#standardization" aria-label="Permalink to &quot;Standardization&quot;">​</a></h2><ul><li>Code should follow <a href="https://pep8.org/" target="_blank" rel="noreferrer"><code>PEP8</code></a> and <a href="https://google.github.io/styleguide/pyguide.html" target="_blank" rel="noreferrer"><code>Google Python Style Guide</code></a>.</li><li>In addition, code submitted to the Liteyuki repository should follow the following guidelines: <ul><li>Ensure that the code is runnable and harmless.</li><li>Ensure that the type hints in the code are correct.</li><li>Ensure that the comment style is <a href="https://google.github.io/styleguide/pyguide.html" target="_blank" rel="noreferrer"><code>Google Docstring</code></a> or <a href="https://github.com/LiteyukiStudio/litedoc" target="_blank" rel="noreferrer"><code>Liteyuki Docstring</code></a>(recommended) to ensure that Litedoc can parse and generate documentation correctly.</li><li>If there is a part for ordinary users, ensure that the documentation is complete (each language has corresponding documentation).</li></ul></li><li>The documentation should follow <a href="https://www.markdownguide.org/" target="_blank" rel="noreferrer"><code>Markdown</code></a> syntax and support vitepress-related content: <ul><li>Revise the documentation for each language when editing.</li><li>Ensure that the links in the document are correct and do not lead to inaccessible links.</li><li>Ensure that the <strong>User Documentation</strong> is easy to understand and the <strong>Development Documentation</strong> is detailed.</li></ul></li></ul><h2 id="finally" tabindex="-1">Finally <a class="header-anchor" href="#finally" aria-label="Permalink to &quot;Finally&quot;">​</a></h2><ul><li>This project is a non-profit open-source project, and we welcome anyone to participate in development. Your contributions will make Liteyuki better.</li></ul>',12),r=[n];function l(d,s,u,c,h,p){return o(),t("div",null,r)}const f=e(i,[["render",l]]);export{m as __pageData,f as default};
